package com.ruoyi.benyun.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.benyun.entity.Brand;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BrandDao extends BaseMapper<Brand> {
    List<Brand> searchAll();
    List<Brand> searchList(String text);
    Brand searchById(String brandId);
    List<Brand> searchByIndustryCodeList(String brandId, String industryCode);
    void updatePerCapitaConsumptionByBrandId(String brandId);
    void updateScoreByBrandId(String brandId);
    void updateCommentCountByBrandId(String brandId);
    void updateIndexScoreByBrandId(String brandId);
    List<Brand> searchNotIns(@Param("notIns") List<String> notIns);
    List<String> selectAllId();
}
